Skip to main content
PATCH
/
v2
/
auth
/
tokens
/
{token_id}
/
metadata
Update Token Label
curl --request PATCH \
  --url https://api.example.com/v2/auth/tokens/{token_id}/metadata \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider_account_label": "<string>"
}
'
{
  "id": "<string>",
  "provider_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "provider_account_label": "<string>",
  "scopes": [],
  "expires_at": "2023-11-07T05:31:56Z"
}

Path Parameters

token_id
string
required

Body

application/json

Request model for updating a token's label.

provider_account_label
string
required

Response

Successful Response

Public-facing token summary — no sensitive data.

id
string
required
provider_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
provider_account_label
string | null
scopes
string[]
expires_at
string<date-time> | null